include ../../sys/config/mkdirs

all::
	mv makefile makefile-bk; \
	ruby extconf.rb > /dev/null; \
	mv makefile makefile.ruby; \
	mv makefile-bk makefile; \
	($(MAKE) -f makefile2); 

clean::
	mv makefile makefile-bk; \
	ruby extconf.rb > /dev/null; \
	mv makefile makefile.ruby; \
	mv makefile-bk makefile; \
	($(MAKE) -f makefile2 clean); 
	\rm -f ../../lib/mpfc.bundle

debug::
	mv makefile makefile-bk; \
	ruby extconf.rb > /dev/null; \
	mv makefile makefile.ruby; \
	mv makefile-bk makefile; \
	($(MAKE) -f makefile2 debug);

runtime::
	mv makefile makefile-bk; \
	ruby extconf.rb > /dev/null; \
	mv makefile makefile.ruby; \
	mv makefile-bk makefile; \
	($(MAKE) -f makefile2 runtime);

static::
	mv makefile makefile-bk; \
	ruby extconf.rb > /dev/null; \
	mv makefile makefile.ruby; \
	mv makefile-bk makefile; \
	($(MAKE) -f makefile2 static);

static-debug::
	mv makefile makefile-bk; \
	ruby extconf.rb > /dev/null; \
	mv makefile makefile.ruby; \
	mv makefile-bk makefile; \
	($(MAKE) -f makefile2 static-debug);

